> For the complete documentation index, see [llms.txt](https://docs.cn.omnibridge.pro/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cn.omnibridge.pro/integration/batch-order-state.md).

# 批量查询订单状态

**1. 接口调用：**

```
https://{host}/api/v2/batchQueryOrderState
```

**2. 请求参数示例**

<table><thead><tr><th width="236">参数</th><th>是否必须</th><th>说明</th></tr></thead><tbody><tr><td>orderIds</td><td>是</td><td>json数组  最大限制200条</td></tr></tbody></table>

**3.请求参数示例**

```
{
    "orderIds": [ //最大限制200条订单号 超出限制只会截取前200条数据
        "655bce95-577e-4930-bb9e-3f82bc6e57e7",
        "33120af8-1866-4cb6-99a8-2c303f490c2c",
        "de746e9c-4e6a-4615-8413-6b224fac439e",
        "9b8ccde9-fd8f-4014-a77b-ed757a3bb25a",
        "2f2e219f-c7af-4fc3-ad01-973a5f10d293",
        "edeafba6-e493-4b7f-9203-71484e444d94"
    ]
}
```

**4.返回结果示例**

```
{
    "data": {
        "chainFee": "0.001",//兑换完成后发币旷工费
        "changeType": "advanced",//去中心化兑换
        "choiseFeeType": "3", // 手续费类型
        "completeTime": null,
        "createTime": "2022-03-10 18:44:21",
        "dealFinishTime": null,
        "dealReceiveCoinAmt": "",
        "depositCoinAmt": "2",
        "depositCoinCode": "ETH",
        "depositCoinFeeAmt": "0.004",//兑换手续费
        "depositCoinFeeRate": "0.002",//兑换手续费率
        "depositCoinState": "wait_send",
        "depositHashExplore": "https://etherscan.io/tx/null", //存币hash
        "depositTxid": "",
        "destinationAddr": "0xAE93FA34f728855cE663cf9FcF8e32148F079071",//用户接收币种地址
        "detailState": "wait_deposit_send",//订单状态（详见查询订单状态接口）
        "instantRate": "6.874588522739",//汇率
        "isDiscount": "N",
        "isNft": "",
        "kycUrl": "",//超过当日限额的kyc路径（详见查询订单状态接口）
        "nftUrl": "",
        "orderId": "f94e631b-d99b-4dd5-98f7-09bf99d16d94",//订单号
        "payTokenUrl": "",
        "platformAddr": "0x3181af4f7cc7251a6a4eda75526c8abe10106db8",//存币地址（用户创建订单后需向此地址转币，转币币种depositCoinCode，转币数量depositCoinAmt）
        "receiveCoinAmt": "13.713109",
        "receiveCoinCode": "BNB(BSC)",
        "receiveHashExplore": "https://bscscan.com/tx/",
        "receiveSwftAmt": "2416.89",
        "refundAddr": "0xAE93FA34f728855cE663cf9FcF8e32148F079071",//退币地址（兑换失败退回存币币种到此地址）
        "refundCoinAmt": "",//兑换失败时的退币数量
        "refundCoinMinerFee": "",
        "refundDepositTxid": "",//兑换失败时的退币哈希
        "refundHashExplore": "https://etherscan.io/tx/",
        "refundSwftAmt": "",
        "router": {},
        "swftCoinFeeRate": "0.001",
        "swftCoinState": "",
        "swftReceiveAddr": "",
        "swftRefundAddr": "",
        "timeoutShowPlatformAddr": "N", // 是否展示复用地址
        "tradeState": "",
        "transactionId": "",//兑换完成的发币哈希
        "burnRate": "0",//燃烧率
        "refundReason": "" // 退币原因 
    },
    "resCode": "800",
    "resMsg": "成功",
    "resMsgEn": ""
}
```

**5.返回参数说明**

<table><thead><tr><th width="126.666748046875">字段名称</th><th width="180.6666259765625">字段</th><th>备注</th></tr></thead><tbody><tr><td>订单号</td><td>orderId</td><td>eg：d47e8b9b-c17f-432b-9285-a46c0a3ceb9a</td></tr><tr><td>存币币种</td><td>depositCoinCode</td><td>eg：ETH</td></tr><tr><td>接收币币种</td><td>receiveCoinCode</td><td>eg：BTC</td></tr><tr><td>存币数量    </td><td>depositCoinAmt</td><td>eg：1</td></tr><tr><td>接收币数量     </td><td>receiveCoinAmt </td><td>eg：0.1</td></tr><tr><td>存币地址</td><td>platformAddr</td><td>eg：123123123-232-1231232</td></tr><tr><td>目标币接收地址</td><td>destinationAddr</td><td><p>eg: 18orDLFMp3fGoy5Uk93LDGTGbxWEm7b7FY</p><p>如有memo,请将memo放到地址后，用#分隔</p><p>例如：18orDLFMp3fGoy5Uk93LDGTGbxWEm7b7FY#1927632</p></td></tr><tr><td>退原币的地址</td><td>refundAddr</td><td><p>eg: 18orDLFMp3fGoy5Uk93LDGTGbxWEm7b7FY</p><p>如有memo,请将memo放到地址后，用#分隔</p><p>例如：18orDLFMp3fGoy5Uk93LDGTGbxWEm7b7FY#1927632</p></td></tr><tr><td>存币的手续费率</td><td>depositCoinFeeRate</td><td>eg：手续费率</td></tr><tr><td>存币的手续费金额     </td><td>depositCoinFeeAmt</td><td>eg：手续费收取的原币的数量</td></tr><tr><td>退币金额</td><td>refundCoinAmt</td><td>eg: 0.98</td></tr><tr><td>兑换成功交易id</td><td>transactionId</td><td>链上交易id，在兑换完成并已发币之后，该字段才会有值</td></tr><tr><td>兑换失败交易id</td><td>refundDepositTxid</td><td>链上交易id，在兑换失败退币情况下，已退币之后，该字段才会有值</td></tr><tr><td>订单状态</td><td>detailState</td><td><p>(1)wait_deposit_send:等待存币发送 </p><p>(2)timeout:超时</p><p>(3)wait_exchange_push:等待交换信息推送(4)wait_exchange_return:等待交换信息返回</p><p>(5.1)</p><p>wait_receive_send:等待接收币种发送wait_receive_confirm:等待接收币种确认receive_complete:接收币种确认完成</p><p>(5.2)</p><p>wait_refund_send:等待退原币币种发送wait_refund_confirm:等待退原币币种确认refund_complete:退原币币种确认完成</p><p>(6)ERROR/error:正在处理的订单 </p><p>(7)WAIT_KYC: 等待进行KYC或联系客服提供链接</p></td></tr><tr><td>实际兑换得到的币的数量</td><td>dealReceiveCoinAmt</td><td> 实际兑换得到的数量,在兑换未完成时，该值为空字符串</td></tr><tr><td>订单完成时间</td><td>completeTime</td><td>订单发币或退币完成时的时间（UTC+8）</td></tr><tr><td>燃烧率</td><td>burnRate</td><td>燃烧率 默认为0</td></tr><tr><td>订单创建时间</td><td>createTime</td><td>订单创建时间</td></tr><tr><td>订单完成的时间</td><td>dealFinishTime</td><td>订单完成的时间</td></tr><tr><td>存币的存放状态</td><td>depositCoinState</td><td>wait_send:待发送、wait_confirm:待确认、already_confirm:已确认</td></tr><tr><td>退手续费交易id</td><td>depositTxid</td><td>退手续费交易id</td></tr><tr><td>速币数量</td><td>receiveSwftAmt</td><td>速币数量</td></tr><tr><td>速币的手续费率</td><td>swftCoinFeeRate</td><td>速币的手续费率</td></tr><tr><td>兑换成功发币矿工费</td><td>chainFee</td><td>兑换成功发币矿工费</td></tr><tr><td>兑换类型</td><td>changeType</td><td>兑换类型</td></tr><tr><td>超过当日限额kyc路径</td><td>kycUrl</td><td>超过当日限额kyc路径</td></tr><tr><td>退币原因</td><td>refundReason</td><td><p>返回数字 对应下方信息<br>1  流动性不足(默认)<br>2  误差超过阈值<br>3  kyc超额<br>4  地址黑名单<br>5  目标币维护 </p><p>6  兑换数量不在范围内<br>7  存币超时<br>8 与风险地址交互</p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cn.omnibridge.pro/integration/batch-order-state.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
